Skip to main content
POST
/
v1
/
terminal
/
readers
/
{id}
/
cancel_action
Cancel the action of a terminal reader
curl --request POST \
  --url https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created": 123,
  "object": "terminal.reader",
  "device_type": "<string>",
  "label": "<string>",
  "location": {
    "id": "<string>",
    "created": 123,
    "object": "terminal.location",
    "address": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "state": "<string>"
    },
    "display_name": "<string>",
    "marketing": {
      "brand": {
        "color": "<string>",
        "icon": "<string>"
      },
      "description": "<string>",
      "featured_photo": "<string>",
      "photos": [
        "<string>"
      ]
    },
    "account": "<string>",
    "deleted": false,
    "metadata": {}
  },
  "serial_number": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Cancel the action of a terminal reader

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
terminal.reader
device_type
string | null
required

The model of the device.

label
string
required

Custom label given to the reader for easier identification.

location
required

The location the reader is registered to.

serial_number
string | null
required

Serial number of the reader.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.